using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.BS;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查内容")]
    public class T_SK_BASIC_LIBRARY_TEMP_CONTENT : MesEntityBase
    {
        /// <summary>
        /// 基础库
        /// </summary>
        [Description("基础库")]
        [DataFieldForeignKey("Nav_Library", "Nav_Contents")]
        public Guid BASIC_LIBRARY_TEMP_ID { get; set; }

        /// <summary>
        /// 导航属性：基础库
        /// </summary>
        [Description("导航属性：基础库")]
        public T_SK_BASIC_LIBRARY_TEMP Nav_Library { get; set; }

        [Description("编号")]
        public string CODE { get; set; }

        [Description("措施编号")]
        public string MEASURE_CODE { get; set; }

        [Description("顺序")]
        public int? NUM { get; set; }
        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [DataFieldForeignKey("Nav_Contents")]
        public Guid? CHECK_CONTENTS_ID { get; set; }

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        public virtual T_BS_CHECK_CONTENTS Nav_Contents { get; set; }
        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        public string CHECK_CONTENT { get; set; }

        /// <summary>
        /// 检查依据
        /// </summary>
        [Description("检查依据")]
        public string CHECK_BASIC { get; set; }

        /// <summary>
        /// 判定标准
        /// </summary>
        [Description("判定标准")]
        public string CHECK_STANDARD { get; set; }
    }
}
